//------------------------------------------------------------------------------
// 
// This file is part of Toolkit for Conceptual Modeling (TCM).
// (c) copyright 1995, Vrije Universiteit Amsterdam.
// Author: Frank Dehne (frank@cs.vu.nl).
//
// TCM is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// TCM is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with TCM; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
//-----------------------------------------------------------------------------
#ifndef _BLACKDOT_H
#define _BLACKDOT_H

#include "ellipse.h"

/// Mini ellipse class, drawn as a black dot.
class BlackDot: public Ellipse {
/*@Doc: {\large {\bf scope:} diagram} */
public:
	///
	static const int BLACK_DOT_WIDTH;
	///
	BlackDot(ShapeView *v, Grafport *g, int x, int y, 
		int w = BLACK_DOT_WIDTH, int h = BLACK_DOT_WIDTH);
	///
        BlackDot(const NodeShape &c);
	///
	Shape *Clone() {return new BlackDot(*this);}
	///
	int GetClassType() const {return Code::BLACK_DOT;}
private:
	///
	void Init();
};
#endif
