//------------------------------------------------------------------------------
//
// This file is part of Toolkit for Conceptual Modeling (TCM).
// (c) copyright 1998, Vrije Universiteit Amsterdam.
// Author: Frank Dehne (frank@cs.vu.nl)
//
// TCM is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// TCM is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with TCM; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
//-----------------------------------------------------------------------------
#ifndef _BULLSEYE_H
#define _BULLSEYE_H

#include "ellipse.h"

/// Mini ellipse class, drawn as an encircled black dot.
class BullsEye: public Ellipse {
/*@Doc: {\large {\bf scope:} diagram} */
public:
	///
	static const int DOT_WIDTH;
	///
	static const int DOT_HEIGHT;
	///
	static const int CIRCLE_WIDTH;
	///
	static const int CIRCLE_HEIGHT;
	///
	BullsEye(ShapeView *v, Grafport *g, int x, int y, 
		int w = CIRCLE_WIDTH, int h = CIRCLE_HEIGHT);
	///
        BullsEye(const NodeShape &c);
	///
	Shape *Clone() {return new BullsEye(*this);}
	///
	int GetClassType() const {return Code::BULLS_EYE;}
protected:
	/// draws black dot inside the ellipse.
	void DrawShape();
private:
	///
	void Init();
};
#endif
