//------------------------------------------------------------------------------
//
// This file is part of Toolkit for Conceptual Modeling (TCM).
// (c) copyright 1999, Vrije Universiteit Amsterdam and University of Twente.
// Author: Frank Dehne (frank@cs.vu.nl).
// Author: Henk van de Zandschulp (henkz@cs.utwente.nl).
//
// TCM is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// TCM is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with TCM; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
//-----------------------------------------------------------------------------
#ifndef _FOLDER_H
#define _FOLDER_H

#include "hexagon.h"

/// Folder shape
class Folder: public Hexagon {
/*@Doc: {\large {\bf scope:} diagram} */
public:
	///
	Folder(ShapeView *v, Grafport *g, int x, int y);
	///
        Folder(const NodeShape &);
	///
        Shape *Clone() {return new Folder(*this);}
protected:
	///
	void DrawOutLine(const Point* p);
	///
	void DrawShape();
	///
        void SetPosition(const Point *position, bool snap=True);
	///
        void SetSize(int w, int h);
	///
	void CalcPoints(int x, int y);
	///
	Point GiveSnp(Point to) const;
	///
	Point GiveSnp(Point to, int order, int count, int& code);
	///
        int GetClassType() const {return Code::FOLDER;}
	///
	void CalcPositionName();
	///
	void SetTextShape();
};
#endif
