////////////////////////////////////////////////////////////////////////////////
//
// This file is part of Toolkit for Conceptual Modeling (TCM).
// (c) copyright 1999, Vrije Universiteit Amsterdam and University of Twente.
// Author: Frank Dehne (frank@cs.vu.nl).
// Author: Henk van de Zandschulp (henkz@cs.utwente.nl).
//
// TCM is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// TCM is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with TCM; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
////////////////////////////////////////////////////////////////////////////////
#include "subfolder.h"
#include "grafport.h"

SubFolder::SubFolder(ShapeView *v, Grafport *g,int x, int y): 
		Folder(v, g, x, y) { }

SubFolder::SubFolder(const NodeShape &s): Folder(s) {}

void SubFolder::DrawShape() {
	Folder::DrawShape();

	Point pos = *GetPosition();

	int a = GetWidth()/2;
        int b = GetHeight()/2;
        int c = GetWidth()/3;

        int e = GetWidth()/12;
        int f = GetHeight()/6;

        int q = GetHeight()/6 - 2;

	int x = pos.x - a + c - e;
	int y = pos.y - b + f;

	Grafport *g = GetGrafport();
	string oldBackground;
        if (GetFillStyle() != FillStyle::UNFILLED) {
             oldBackground = *g->GetBackgroundColor();
             g->SetBackgroundColor(GetFillColor());
        }
	g->DrawLine(x,   y-q, x,   y-1);
	g->DrawLine(x-q, y ,   x+q, y);
	g->DrawLine(x-q, y+1 , x-q, y+q);
	g->DrawLine(x+q, y+1 , x+q, y+q);
        if (GetFillStyle() != FillStyle::UNFILLED)
                g->SetBackgroundColor(&oldBackground);
}
