////////////////////////////////////////////////////////////////////////////////
//
// This file is part of Toolkit for Conceptual Modeling (TCM).
// (c) copyright 1995, Vrije Universiteit Amsterdam.
// Author: Frank Dehne (frank@cs.vu.nl).
//
// TCM is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// TCM is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with TCM; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
////////////////////////////////////////////////////////////////////////////////
#include "textshape.h"
#include "shapeview.h"
#include "diagramviewer.h"
#include "textbox.h"

const int TextBox::TEXT_MARGIN = 4;

TextBox::TextBox(ShapeView *v, Grafport *g, int x, int y, int w, int h): 
		Box(v,g,x,y,w,h) {
	SetHandles(MIN_HANDLES);
	SetLineStyle(LineStyle::INVISIBLE);
}

TextBox::TextBox(const NodeShape &c): Box(c) {
	SetHandles(MIN_HANDLES);
	SetLineStyle(LineStyle::INVISIBLE);
}

void TextBox::SetTextShape() {
	NodeShape::SetTextShape();
	int w, h;
	GetName()->TextBox(w, h);
	SetSize(w+TEXT_MARGIN,h+TEXT_MARGIN);
}

void TextBox::AdjustSize() {
	int twidth, theight;
	GetName()->TextBox(twidth, theight);
	UpdateSize(twidth+TEXT_MARGIN, theight+TEXT_MARGIN);
	GetViewer()->ShapePositionUpdate(this);
}
