//------------------------------------------------------------------------------
// 
// This file is part of Toolkit for Conceptual Modeling (TCM).
// (c) copyright 1995, Vrije Universiteit Amsterdam.
// Author: Frank Dehne (frank@cs.vu.nl).
//
// TCM is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// TCM is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with TCM; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
//-----------------------------------------------------------------------------
#ifndef _TEXTBOX_H
#define _TEXTBOX_H

#include "box.h"

/// invisible box class (only text is visible).
class TextBox: public Box {
/*@Doc: {\large {\bf scope:} diagram} */
public:
	///
	TextBox(ShapeView *v, Grafport *g, int x, int y, 
		int w = MIN_WIDTH, int h = MIN_HEIGHT);
	///
	TextBox(const NodeShape &c);
	///
	Shape *Clone() {return new TextBox(*this);}
	///
	int GetClassType() const {return Code::TEXT_BOX;}

	/// returns -1 because you can't resize them yourself.
	int HitHandles(int, int) {return -1;}

	/// adapt size to name size.
	void SetTextShape(); 		
	/// 
	void AdjustSize();
protected:
	/// margin between the name and the box itself.
	static const int TEXT_MARGIN;
};
#endif
