////////////////////////////////////////////////////////////////////////////////
//
// This file is part of Toolkit for Conceptual Modeling (TCM).
// (c) copyright 1995, Vrije Universiteit Amsterdam.
// Author: Frank Dehne (frank@cs.vu.nl).
//
// TCM is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// TCM is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with TCM; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
////////////////////////////////////////////////////////////////////////////////
#include "whitedot.h"
#include "grafport.h"

const int WhiteDot::WHITE_DOT_WIDTH = 8;

WhiteDot::WhiteDot(ShapeView *v, Grafport *g, int x, int y, int w, int h): 
				Ellipse(v, g, x, y, w, h) { 
	Init();
}

WhiteDot::WhiteDot(const NodeShape &c): Ellipse(c) {
	SetWidth(WHITE_DOT_WIDTH);
	SetHeight(WHITE_DOT_WIDTH);
	Init();
}

void WhiteDot::Init() {
	// SetFillStyle(FillStyle::FILLED);
	string s = "white";
	SetFillColor(&s);
	SetLineStyle(LineStyle::SOLID);
	SetResizable(False);
	SetHandles(MIN_HANDLES);
	SetFixedName(True);
	SetFixedIndexLabel(True);
	Point pt(*GetPosition());
        SetPosition(&pt);
}
